summaryrefslogtreecommitdiffstats
path: root/astyle/beautify_source_tree
diff options
context:
space:
mode:
Diffstat (limited to 'astyle/beautify_source_tree')
-rw-r--r--astyle/beautify_source_tree24
1 files changed, 24 insertions, 0 deletions
diff --git a/astyle/beautify_source_tree b/astyle/beautify_source_tree
new file mode 100644
index 0000000..b604d60
--- /dev/null
+++ b/astyle/beautify_source_tree
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [[ $1 == "" ]]; then
+ echo "Please specify the source directory to beautify"
+ exit 1
+fi
+
+astyle \
+--indent=tab \
+--indent-classes \
+--indent-switches \
+--indent-cases \
+--indent-namespaces \
+--indent-labels\ \
+--indent-col1-comments \
+ \
+--unpad-paren \
+ \
+--style=java \
+--add-brackets \
+--break-closing-brackets \
+--keep-one-line-statements \
+ \
+--recursive $1/*.c $1/*.cc $1/*.cpp $1/*.h